
#ifndef RENDER_PARAMETERS_HPP
#define RENDER_PARAMETERS_HPP

namespace cpe
{
  struct render_parameters
  {
    /** \brief constructor */
    render_parameters(const unsigned int& N_aa=1,const unsigned int& reflection_max=0,const bool& is_shading=true);

    /** \brief number of anti_aliasing values */
    unsigned int N_aa;

    /** \brief number of max reflection */
    unsigned int reflection_max;

    /** \brief is shading */
    bool is_shading;

  };
}

#endif
