/*
**    TP 4ETI CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef INTERSECTION_OBJECT_HPP
#define INTERSECTION_OBJECT_HPP

#include <intersection_data.hpp>

namespace cpe
{


/** \brief container class to store intersection + associated material of the current object */
struct intersection_object
{
        /** \brief direct constructor */
        intersection_object(const intersection_data& inter=intersection_data(),const int& id_object=-1);

        /** \brief intersection data */
        intersection_data inter_data;

        /** \brief id of the intersected object */
        int id_object;
};

}


#endif
